package org.ow2.util.pool.impl.enhanced.internal.conditionWaitPart;

import java.util.concurrent.TimeUnit;

/**
 * @author Gael Lalire
 */
public interface IConditionWaitPart {

    IConditionWaitPart NO_WAIT_INTERRUPT_WAITER_CONDITION = new IConditionWaitPart() {

        public void await() throws InterruptedException {
        }

        public boolean await(final long time, final TimeUnit timeUnit) throws InterruptedException {
            return true;
        }

    };

    void await() throws InterruptedException;

    boolean await(long time, TimeUnit timeUnit) throws InterruptedException;

}
